
Redmine - Feature #2963

Managers able to create subprojects

2009-03-13 02:51 - Brent Hensarling

Status: Closed Start date: 2009-03-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

It would be great if a Manager could create subprojects without being a admin.

Related issues:

Has duplicate Redmine - Defect #3471: Project managers should be able to assi... Closed 2009-06-10

Has duplicate Redmine - Defect #3778: Non-administrator users cannot set pare... Closed 2009-08-25

Has duplicate Redmine - Defect #4142: No option to select main project on cre... Closed 2009-10-30

Has duplicate Redmine - Defect #4168: Not able to select parent for new proje... Closed 2009-11-05

Associated revisions

Revision 3059 - 2009-11-15 14:22 - Jean-Philippe Lang

Allow non admin users to add subprojects (#2963).

Subprojects can be added to the projects for which the user has add_project permission.

History

#1 - 2009-03-13 12:42 - Dev Team UJM St Etienne

Brent Hensarling wrote:

It would be great if a Manager could create subprojects without being a admin.

 We confirm that it is a need to make distinct right for whole redmine administration and the project creation ( which are usually different roles and

persons within the organisation ).

#2 - 2009-03-13 13:55 - Richard Pecl

+1

#3 - 2009-03-13 14:38 - Damien Couderc

+1

#4 - 2009-04-29 16:50 - Ricardo Trindade

+1

#5 - 2009-05-08 13:52 - Sami Isomäki

+1

#6 - 2009-06-10 05:44 - Aaron Hicks

+1

#7 - 2009-06-18 08:11 - Ramakrishna Krishnamsetty

+1

#8 - 2009-06-18 08:11 - Ramakrishna Krishnamsetty
Ramakrishna Krishnamsetty wrote:

+1

#9 - 2009-06-18 11:57 - Nanda P

We have this feature Create project for no administrator user in permissions settings.

#10 - 2009-06-25 16:53 - Vitaliy Ischenko

Nanda Palaniswamy wrote:

We have this feature Create project for no administrator user in permissions settings.

 Yes, I can create new project, but I can't set a parent for my project

#11 - 2009-06-25 17:10 - Vitaliy Ischenko

- File subproject.diff added

It's my first time with ruby, but it should allow setting parent for project for user who has rights to create project

#12 - 2009-07-06 14:51 - Vitaliy Ischenko

- File 04-parent_project_set_by_manager-0.4.0.patch added

Updated a patch

added some filtering to projects list

#13 - 2009-09-01 05:48 - Eric Davis

Vitaliy Ischenko, could you attach a failing test to patch that shows the code working?

#14 - 2009-11-05 13:22 - Jean-Philippe Lang

- Target version set to 0.9.0

#15 - 2009-11-15 14:17 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Feature added in r3059.

Files

subproject.diff 1.44 KB 2009-06-25 Vitaliy Ischenko

04-parent_project_set_by_manager-0.4.0.patch 3.31 KB 2009-07-06 Vitaliy Ischenko
